# $Revision: 1.278.2.5.2.5 $, $Date: 2012/02/10 07:58:41 $
#
# Conditional build:
%bcond_without	ada		# build without ADA support
%bcond_without	cxx		# build without C++ support
%bcond_without	fortran		# build without Fortran support
%bcond_without	java		# build without Java support
%bcond_without	objc		# build without ObjC support
%bcond_with	ssp		# build with stack-smashing protector support
%bcond_with	multilib	# build with multilib support

%ifnarch amd64 ppc64 s390x sparc64
%undefine	with_multilib
%endif

Summary:	GNU Compiler Collection: the C compiler and shared files
Summary(es.UTF-8):	Colección de compiladores GNU: el compilador C y ficheros compartidos
Summary(pl.UTF-8):	Kolekcja kompilatorów GNU: kompilator C i pliki współdzielone
Summary(pt_BR.UTF-8):	Coleção dos compiladores GNU: o compilador C e arquivos compartilhados
Name:		gcc
Version:	3.4.6
Release:	2
Epoch:		5
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	4a21ac777d4b5617283ce488b808da7b
Source1:	http://ep09.pld-linux.org/~djrzulf/gcc33/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	4736f3422ddfb808423b745629acc321
Source2:	http://www.trl.ibm.com/projects/security/ssp/gcc2_95_3/%{name}_stack_protect.m4.gz
# Source2-md5:	07d93ad5fc07ca44cdaba46c658820de
Patch0:		%{name}-info.patch
Patch1:		%{name}-nolocalefiles.patch
Patch2:		%{name}-ada-link-new-libgnat.patch
Patch3:		%{name}-ada-bootstrap.patch
Patch4:		%{name}-nodebug.patch
Patch5:		%{name}-ssp.patch
Patch6:		%{name}-ada-link.patch
Patch7:		%{name}-pr13676.patch
URL:		http://gcc.gnu.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	binutils >= 2:2.15.91.0.2
BuildRequires:	bison
BuildRequires:	fileutils >= 4.0.41
BuildRequires:	flex
%if %{with ada}
BuildRequires:	gcc(ada)
BuildRequires:	gcc-ada
%endif
BuildRequires:	gettext-devel
BuildRequires:	glibc-devel >= 2.2.5-20
BuildRequires:	perl-devel
BuildRequires:	texinfo >= 4.1
BuildRequires:	zlib-devel
Requires:	binutils >= 2:2.15.91.0.2
Requires:	gcc-dirs >= 1.0-5
Requires:	libgcc = %{epoch}:%{version}-%{release}
Provides:	cpp = %{epoch}:%{version}-%{release}
%{?with_ada:Provides:	gcc(ada)}
%{?with_ssp:Provides:	gcc(ssp)}
Obsoletes:	cpp
Obsoletes:	egcs-cpp
Obsoletes:	gcc-cpp
Obsoletes:	gcc-ksi
Obsoletes:	gont
Conflicts:	glibc-devel < 2.2.5-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_slibdir	/%{_lib}
%ifarch %{x8664} ppc64 s390x sparc64
%define		_slibdir32	/lib
%define		_libdir32	/usr/lib
%endif
%ifarch sparc64
%define		rpmcflags	-O2 -mtune=ultrasparc
%endif

%ifarch ppc
# ac-ppc: libgcc_s.so.1 __libc_stack_end
# ac-ppc: libgcc_s_nof.so.1 __libc_stack_end
%define     skip_post_check_so  libgcc_s.so.1 libgcc_s_nof.so.1
%endif

%description
A compiler aimed at integrating all the optimizations and features
necessary for a high-performance and stable development environment.

This package contains the C compiler and some files shared by various
parts of the GNU Compiler Collection. In order to use another GCC
compiler you will need to install the appropriate subpackage.

%description -l es.UTF-8
Un compilador que intenta integrar todas las optimalizaciones y
características necesarias para un entorno de desarrollo eficaz y
estable.

Este paquete contiene el compilador de C y unos ficheros compartidos
por varias partes de la colección de compiladores GNU (GCC). Para usar
otro compilador de GCC será necesario que instale el subpaquete
adecuado.

%description -l pl.UTF-8
Kompilator, posiadający duże możliwości optymalizacyjne niezbędne do
wyprodukowania szybkiego i stabilnego kodu wynikowego.

Ten pakiet zawiera kompilator C i pliki współdzielone przez różne
części kolekcji kompilatorów GNU (GCC). Żeby używać innego kompilatora
z GCC, trzeba zainstalować odpowiedni podpakiet.

%description -l pt_BR.UTF-8
Este pacote adiciona infraestrutura básica e suporte a linguagem C ao
GNU Compiler Collection.

%package -n libgcc
Summary:	Shared gcc library
Summary(es.UTF-8):	Biblioteca compartida de gcc
Summary(pl.UTF-8):	Biblioteka gcc
Summary(pt_BR.UTF-8):	Biblioteca runtime para o GCC
Group:		Libraries
Obsoletes:	libgcc1

%description -n libgcc
Shared gcc library.

%description -n libgcc -l es.UTF-8
Biblioteca compartida de gcc.

%description -n libgcc -l pl.UTF-8
Biblioteka dynamiczna gcc.

%description -n libgcc -l pt_BR.UTF-8
Biblioteca runtime para o GCC.

%package c++
Summary:	C++ support for gcc
Summary(es.UTF-8):	Soporte de C++ para gcc
Summary(pl.UTF-8):	Obsługa C++ dla gcc
Summary(pt_BR.UTF-8):	Suporte C++ para o gcc
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	egcc-c++
Obsoletes:	egcs-c++

%description c++
This package adds C++ support to the GNU Compiler Collection. It
includes support for most of the current C++ specification, including
templates and exception handling. It does not include a standard C++
library, which is available separately.

%description c++ -l de.UTF-8
Dieses Paket enthält die C++-Unterstützung für den
GNU-Compiler-Collection. Es unterstützt die aktuelle
C++-Spezifikation, inkl. Templates und Ausnahmeverarbeitung. Eine
C++-Standard-Library ist nicht enthalten - sie ist getrennt
erhältlich.

%description c++ -l es.UTF-8
Este paquete añade soporte de C++ al GCC (colección de compiladores
GNU). Ello incluye el soporte para la mayoría de la especificación
actual de C++, incluyendo plantillas y manejo de excepciones. No
incluye la biblioteca estándar de C++, la que es disponible separada.

%description c++ -l fr.UTF-8
Ce package ajoute un support C++ a la collection de compilateurs GNU.
Il comprend un support pour la plupart des spécifications actuelles de
C++, dont les modéles et la gestion des exceptions. Il ne comprend pas
une bibliothéque C++ standard, qui est disponible séparément.

%description c++ -l pl.UTF-8
Ten pakiet dodaje obsługę C++ do kompilatora gcc. Ma wsparcie dla
dużej ilości obecnych specyfikacji C++, nie zawiera natomiast
standardowych bibliotek C++, które są w oddzielnym pakiecie.

%description c++ -l pt_BR.UTF-8
Este pacote adiciona suporte C++ para o gcc.

%description c++ -l tr.UTF-8
Bu paket, GNU C derleyicisine C++ desteği ekler. 'Template'ler ve
aykırı durum işleme gibi çoğu güncel C++ tanımlarına uyar. Standart
C++ kitaplığı bu pakette yer almaz.

%package objc
Summary:	Objective C support for gcc
Summary(de.UTF-8):	Objektive C-Unterstützung für gcc
Summary(es.UTF-8):	Soporte de Objective C para gcc
Summary(fr.UTF-8):	Gestion d'Objective C pour gcc
Summary(pl.UTF-8):	Obsługa obiektowego C dla kompilatora gcc
Summary(tr.UTF-8):	gcc için Objective C desteği
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libobjc = %{epoch}:%{version}-%{release}
Obsoletes:	egcc-objc
Obsoletes:	egcs-objc

%description objc
This package adds Objective C support to the GNU Compiler Collection.
Objective C is a object oriented derivative of the C language, mainly
used on systems running NeXTSTEP. This package does not include the
standard objective C object library.

%description objc -l de.UTF-8
Dieses Paket ergänzt den GNU-Compiler-Collection durch
Objective-C-Support. Objective C ist ein objektorientiertes Derivat
von C, das zur Hauptsache auf Systemen mit NeXTSTEP zum Einsatz kommt.
Die Standard-Objective-C-Objekt-Library ist nicht Teil des Pakets.

%description objc -l es.UTF-8
Este paquete añade soporte de Objective C al GCC (colección de
compiladores GNU). Objective C es un lenguaje orientado a objetos
derivado de C, principalmente usado en sistemas que funcionan bajo
NeXTSTEP. El paquete no incluye la biblioteca de objetos estándar de
Objective C.

%description objc -l fr.UTF-8
Ce package ajoute un support Objective C a la collection de
compilateurs GNU. L'Objective C est un langage orienté objetdérivé du
langage C, principalement utilisé sur les systèmes NeXTSTEP. Ce
package n'inclue pas la bibliothéque Objective C standard.

%description objc -l pl.UTF-8
Ten pakiet dodaje obsługę obiektowego C do kompilatora gcc. Obiektowe
C (objc) jest zorientowaną obiektowo pochodną języka C, używaną
głównie w systemach używających NeXTSTEP. W pakiecie nie ma
standardowej biblioteki objc (która znajduje się w osobnym pakiecie).

%description objc -l tr.UTF-8
Bu paket, GNU C derleyicisine Objective C desteği ekler. Objective C,
C dilinin nesne yönelik bir türevidir ve NeXTSTEP altında çalışan
sistemlerde yaygın olarak kullanılır. Standart Objective C nesne
kitaplığı bu pakette yer almaz.

%package -n libobjc
Summary:	Objective C Libraries
Summary(es.UTF-8):	Bibliotecas de Objective C
Summary(pl.UTF-8):	Biblioteki Obiektowego C
Group:		Libraries
Obsoletes:	libobjc1

%description -n libobjc
Objective C Libraries.

%description -n libobjc -l es.UTF-8
Bibliotecas de Objective C.

%description -n libobjc -l pl.UTF-8
Biblioteki Obiektowego C.

%package -n libobjc-static
Summary:	Static Objective C Libraries
Summary(es.UTF-8):	Bibliotecas estáticas de Objective C
Summary(pl.UTF-8):	Statyczne Biblioteki Obiektowego C
Group:		Development/Libraries
Requires:	libobjc = %{epoch}:%{version}-%{release}

%description -n libobjc-static
Static Objective C Libraries.

%description -n libobjc-static -l es.UTF-8
Bibliotecas estáticas de Objective C.

%description -n libobjc-static -l pl.UTF-8
Statyczne biblioteki Obiektowego C.

%package g77
Summary:	Fortran 77 support for gcc
Summary(es.UTF-8):	Soporte de Fortran 77 para gcc
Summary(pl.UTF-8):	Obsługa Fortranu 77 dla gcc
Summary(pt_BR.UTF-8):	Suporte Fortran 77 para o GCC
Group:		Development/Languages/Fortran
Requires:	libg2c = %{epoch}:%{version}-%{release}
Obsoletes:	egcs-g77

%description g77
This package adds support for compiling Fortran 77 programs with the
GNU compiler.

%description g77 -l es.UTF-8
Este paquete añade soporte para compilar programas escritos en Fortran
77 con el compilador GNU.

%description g77 -l pl.UTF-8
Ten pakiet dodaje obsługę Fortranu 77 do kompilatora gcc. Jest
potrzebny do kompilowania programów pisanych w języku Fortran 77.

%description g77 -l pt_BR.UTF-8
Suporte Fortran 77 para o GCC.

%package -n libg2c
Summary:	Fortran 77 Libraries
Summary(es.UTF-8):	Bibliotecas de Fortran 77
Summary(pl.UTF-8):	Biblioteki Fortranu 77
Group:		Libraries

%description -n libg2c
Fortran 77 Libraries.

%description -n libg2c -l es.UTF-8
Bibliotecas de Fortran 77.

%description -n libg2c -l pl.UTF-8
Biblioteki Fortranu 77.

%package -n libg2c-static
Summary:	Static Fortran 77 Libraries
Summary(es.UTF-8):	Bibliotecas estáticas de Fortran 77
Summary(pl.UTF-8):	Statyczne Biblioteki Fortranu 77
Group:		Development/Libraries
Requires:	libg2c = %{epoch}:%{version}-%{release}

%description -n libg2c-static
Static Fortran 77 Libraries.

%description -n libg2c -l es.UTF-8
Bibliotecas estáticas de Fortran 77.

%description -n libg2c-static -l pl.UTF-8
Statyczne biblioteki Fortranu 77.

%package java
Summary:	Java support for gcc
Summary(es.UTF-8):	Soporte de Java para gcc
Summary(pl.UTF-8):	Obsługa Javy dla gcc
Group:		Development/Languages/Java
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	java-shared
Requires:	libgcj = %{epoch}:%{version}-%{release}
Requires:	libgcj-devel = %{epoch}:%{version}-%{release}
Provides:	gcj = %{epoch}:%{version}-%{release}

%description java
This package adds experimental support for compiling Java(tm) programs
and bytecode into native code. To use this you will also need the
libgcj package.

%description java -l es.UTF-8
Este paquete añade soporte experimental para compilar programas
Java(tm) y su bytecode en código nativo. Para usarlo también va a
necesitar el paquete libgcj.

%description java -l pl.UTF-8
Wsparcie dla kompilowania programów Java(tm) zarówno do bajt-kodu jak
i do natywnego kodu. Dodatkowo wymagany jest pakiet libgcj, aby można
było przeprowadzić kompilację.

%package java-tools
Summary:	Shared java tools
Summary(es.UTF-8):	Herramientas compartidas de Java
Summary(pl.UTF-8):	Współdzielone narzędzia javy
Group:		Development/Languages/Java
Provides:	jar = %{epoch}:%{version}-%{release}
Provides:	java-shared
Obsoletes:	fastjar
Obsoletes:	jar
Obsoletes:	java-shared

%description java-tools
This package contains tools that are common for every Java(tm)
implementation, such as rmic or jar.

%description java-tools -l es.UTF-8
Este paquete contiene herramientas que son comunes para cada
implementación de Java(tm), como rmic o jar.

%description java-tools -l pl.UTF-8
Pakiet ten zawiera narzędzia wspólne dla każdej implementacji
Javy(tm), takie jak rmic czy jar.

%package -n libgcj
Summary:	Java Class Libraries
Summary(es.UTF-8):	Bibliotecas de clases de Java
Summary(pl.UTF-8):	Biblioteki Klas Javy
Group:		Libraries
Requires:	zlib
Obsoletes:	libgcj3

%description -n libgcj
Java Class Libraries.

%description -n libgcj -l es.UTF-8
Bibliotecas de clases de Java.

%description -n libgcj -l pl.UTF-8
Biblioteki Klas Javy.

%package -n libgcj-devel
Summary:	Development files for Java Class Libraries
Summary(es.UTF-8):	Ficheros de desarrollo para las bibliotecas de clases de Java
Summary(pl.UTF-8):	Pliki nagłówkowe dla Bibliotek Klas Javy
Group:		Development/Libraries
Requires:	%{name}-java = %{epoch}:%{version}-%{release}
Requires:	libgcj = %{epoch}:%{version}-%{release}
Obsoletes:	libgcj3-devel

%description -n libgcj-devel
Development files for Java Class Libraries.

%description -n libgcj-devel -l es.UTF-8
Ficheros de desarrollo para las bibliotecas de clases de Java.

%description -n libgcj-devel -l pl.UTF-8
Pliki nagłówkowe dla Bibliotek Klas Javy.

%package -n libgcj-static
Summary:	Static Java Class Libraries
Summary(es.UTF-8):	Bibliotecas estáticas de clases de Java
Summary(pl.UTF-8):	Statyczne Biblioteki Klas Javy
Group:		Development/Libraries
Requires:	libgcj-devel = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel = %{epoch}:%{version}-%{release}

%description -n libgcj-static
Static Java Class Libraries.

%description -n libgcj-static -l es.UTF-8
Bibliotecas estáticas de clases de Java.

%description -n libgcj-static -l pl.UTF-8
Statyczne Biblioteki Klas Javy.

%package -n libstdc++
Summary:	GNU c++ library
Summary(es.UTF-8):	Biblioteca C++ de GNU
Summary(pl.UTF-8):	Biblioteki GNU C++
Summary(pt_BR.UTF-8):	Biblioteca C++ GNU
Group:		Libraries
Obsoletes:	libg++
Obsoletes:	libstdc++3

%description -n libstdc++
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools. This package includes the shared libraries
necessary to run C++ applications.

%description -n libstdc++ -l de.UTF-8
Dies ist die GNU-Implementierung der Standard-C++-Libraries mit
weiteren GNU-Tools. Dieses Paket enthält die zum Ausführen von
C++-Anwendungen erforderlichen gemeinsam genutzten Libraries.

%description -n libstdc++ -l es.UTF-8
Este es el soporte de las bibliotecas padrón del C++, junto con
herramientas GNU adicionales. El paquete incluye las bibliotecas
compartidas necesarias para ejecutar aplicaciones C++.

%description -n libstdc++ -l fr.UTF-8
Ceci est l'implémentation GNU des librairies C++ standard, ainsi que
des outils GNU supplémentaires. Ce package comprend les librairies
partagées nécessaires à l'exécution d'application C++.

%description -n libstdc++ -l pl.UTF-8
Pakiet ten zawiera biblioteki będące implementacją standardowych
bibliotek C++. Znajdują się w nim biblioteki dynamiczne niezbędne do
uruchomienia aplikacji napisanych w C++.

%description -n libstdc++ -l pt_BR.UTF-8
Este pacote é uma implementação da biblioteca padrão C++ v3, um
subconjunto do padrão ISO 14882.

%description -n libstdc++ -l tr.UTF-8
Bu paket, standart C++ kitaplıklarının GNU gerçeklemesidir ve C++
uygulamalarının koşturulması için gerekli kitaplıkları içerir.

%package -n libstdc++-devel
Summary:	Header files and documentation for C++ development
Summary(de.UTF-8):	Header-Dateien zur Entwicklung mit C++
Summary(es.UTF-8):	Ficheros de cabecera y documentación para desarrollo C++
Summary(fr.UTF-8):	Fichiers d'en-tête et biblitothèques pour développer en C++
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki standardowej C++
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para o desenvolvimento em C++
Summary(tr.UTF-8):	C++ ile program geliştirmek için gerekli dosyalar
Group:		Development/Libraries
Requires:	%{name}-c++ = %{epoch}:%{version}-%{release}
Requires:	glibc-devel
Requires:	libstdc++ = %{epoch}:%{version}-%{release}
Obsoletes:	libg++-devel
Obsoletes:	libstdc++3-devel

%description -n libstdc++-devel
This is the GNU implementation of the standard C++ libraries. This
package includes the header files needed for C++ development and
library documentation.

%description -n libstdc++-devel -l es.UTF-8
Este es el soporte de las bibliotecas padrón del lenguaje C++. Este
paquete incluye los archivos de inclusión y bibliotecas necesarios
para desarrollo de programas en lenguaje C++.

%description -n libstdc++-devel -l pl.UTF-8
Pakiet ten zawiera biblioteki będące implementacją standardowych
bibliotek C++. Znajdują się w nim pliki nagłówkowe wykorzystywane przy
programowaniu w języku C++ oraz dokumentacja biblioteki standardowej.

%description -n libstdc++-devel -l pt_BR.UTF-8
Este pacote inclui os arquivos de inclusão e bibliotecas necessárias
para desenvolvimento de programas C++.

%package -n libstdc++-static
Summary:	Static C++ standard library
Summary(es.UTF-8):	Biblioteca estándar estática de C++
Summary(pl.UTF-8):	Statyczna biblioteka standardowa C++
Group:		Development/Libraries
Requires:	libstdc++-devel = %{epoch}:%{version}-%{release}

%description -n libstdc++-static
Static C++ standard library.

%description -n libstdc++-static -l es.UTF-8
Biblioteca estándar estática de C++.

%description -n libstdc++-static -l pl.UTF-8
Statyczna biblioteka standardowa C++.

%package -n libffi
Summary:	Foreign Function Interface library
Summary(es.UTF-8):	Biblioteca de interfaz de funciones ajenas
Summary(pl.UTF-8):	Biblioteka zewnętrznych wywołań funkcji
Group:		Libraries

%description -n libffi
The libffi library provides a portable, high level programming
interface to various calling conventions. This allows a programmer to
call any function specified by a call interface description at run
time.

%description -n libffi -l es.UTF-8
La biblioteca libffi provee una interfaz portable de programación de
alto nivel para varias convenciones de llamada. Ello permite que un
programador llame una función cualquiera especificada por una
descripción de interfaz de llamada en el tiempo de ejecución.

%description -n libffi -l pl.UTF-8
Biblioteka libffi dostarcza przenośnego, wysokopoziomowego
międzymordzia do różnych konwencji wywołań funkcji. Pozwala to
programiście wywoływać dowolne funkcje podając konwencję wywołania w
czasie wykonania.

%package -n libffi-devel
Summary:	Development files for Foreign Function Interface library
Summary(es.UTF-8):	Ficheros de desarrollo para libffi
Summary(pl.UTF-8):	Pliki nagłówkowe dla libffi
Group:		Development/Libraries
Requires:	libffi = %{epoch}:%{version}-%{release}

%description -n libffi-devel
Development files for Foreign Function Interface library.

%description -n libffi-devel -l es.UTF-8
Ficheros de desarrollo para libffi.

%description -n libffi-devel -l pl.UTF-8
Pliki nagłówkowe dla libffi.

%package -n libffi-static
Summary:	Static Foreign Function Interface library
Summary(es.UTF-8):	Biblioteca libffi estática
Summary(pl.UTF-8):	Statyczna biblioteka libffi
Group:		Development/Libraries
Requires:	libffi-devel = %{epoch}:%{version}-%{release}

%description -n libffi-static
Static Foreign Function Interface library.

%description -n libffi-static -l es.UTF-8
Biblioteca libffi estática.

%description -n libffi-static -l pl.UTF-8
Statyczna biblioteka libffi.

%package ada
Summary:	Ada support for gcc
Summary(es.UTF-8):	Soporte de Ada para gcc
Summary(pl.UTF-8):	Obsługa Ady do gcc
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgnat = %{epoch}:%{version}-%{release}
Obsoletes:	gcc-gnat
Obsoletes:	gnat-devel

%description ada
This package adds experimental support for compiling Ada programs.

%description ada -l es.UTF-8
Este paquete añade soporte experimental para compilar programas en
Ada.

%description ada -l pl.UTF-8
Ten pakiet dodaje eksperymentalne wsparcie dla kompilacji programów w
Adzie.

%package -n libgnat
Summary:	Ada standard libraries
Summary(es.UTF-8):	Bibliotecas estándares de Ada
Summary(pl.UTF-8):	Biblioteki standardowe dla Ady
Group:		Libraries
Obsoletes:	gnat
Obsoletes:	libgnat1

%description -n libgnat
This package contains shared libraries needed to run programs written
in Ada.

%description -n libgnat -l es.UTF-8
Este paquete contiene las bibliotecas compartidas necesarias para
ejecutar programas escritos en Ada.

%description -n libgnat -l pl.UTF-8
Ten pakiet zawiera biblioteki potrzebne do uruchamiania programów
napisanych w Adzie.

%package -n libgnat-static
Summary:	Static Ada standard libraries
Summary(pl.UTF-8):	Statyczne biblioteki standardowe dla Ady
Group:		Libraries
Obsoletes:	gnat-static

%description -n libgnat-static
This package contains static libraries for programs written in Ada.

%description -n libgnat-static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne dla programów napisanych w
Adzie.

%prep
%setup -q -a1

%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifarch alpha ia64
# needed for bootstrap using gcc 3.3.x on alpha
# and even using the same 3.4.x(!) (but not Debian's 3.3.x) on ia64
%patch3 -p2
%endif
%{!?debug:%patch4 -p1}
%{?with_ssp:%patch5 -p1}
%patch6 -p1
%patch7 -p1

# because we distribute modified version of gcc...
perl -pi -e 's/(version.*)";/$1 %{?with_ssp:SSP }(PLD Linux)";/' gcc/version.c
perl -pi -e 's@(bug_report_url.*<URL:).*";@$1http://bugs.pld-linux.org/>";@' gcc/version.c

mv ChangeLog ChangeLog.general

%build
cp -f /usr/share/automake/config.sub .

rm -rf obj-%{_target_platform} && install -d obj-%{_target_platform} && cd obj-%{_target_platform}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
CC="%{__cc}" \
TEXCONFIG=false \
../configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--enable-shared \
	--enable-threads=posix \
	--enable-__cxa_atexit \
	--enable-languages="c%{?with_cxx:,c++}%{?with_fortran:,f77}%{?with_objc:,objc}%{?with_ada:,ada}%{?with_java:,java}" \
	--enable-c99 \
	--enable-long-long \
%ifnarch ppc
%if %{without multilib}
	--disable-multilib \
%endif
%endif
	--enable-nls \
	--with-gnu-as \
	--with-gnu-ld \
	--with-system-zlib \
	--with-slibdir=%{_slibdir} \
	--without-x \
	%{_target_platform}

PATH=$PATH:/sbin:%{_sbindir}

cd ..
%{__make} -C obj-%{_target_platform} \
	bootstrap \
	GCJFLAGS="%{rpmcflags}" \
	BOOT_CFLAGS="%{rpmcflags}" \
	STAGE1_CFLAGS="%{rpmcflags} -O0" \
	LDFLAGS_FOR_TARGET="%{rpmldflags}" \
	mandir=%{_mandir} \
	infodir=%{_infodir}

%if %{with ada}
# cannot build it in parallel
for tgt in gnatlib-shared gnattools gnatlib; do
%{__make} -C obj-%{_target_platform}/gcc $tgt \
	BOOT_CFLAGS="%{rpmcflags}" \
	LDFLAGS_FOR_TARGET="%{rpmldflags}" \
	mandir=%{_mandir} \
	infodir=%{_infodir}
done
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib,%{_aclocaldir},%{_datadir},%{_infodir}}

cd obj-%{_target_platform}
PATH=$PATH:/sbin:%{_sbindir}

%{__make} -j1 install \
	mandir=%{_mandir} \
	infodir=%{_infodir} \
	DESTDIR=$RPM_BUILD_ROOT

%ifarch sparc64
ln -f $RPM_BUILD_ROOT%{_bindir}/sparc64-pld-linux-gcc \
	$RPM_BUILD_ROOT%{_bindir}/sparc-pld-linux-gcc
%endif

ln -sf gcc $RPM_BUILD_ROOT%{_bindir}/cc
echo ".so gcc.1" > $RPM_BUILD_ROOT%{_mandir}/man1/cc.1

%if %{with fortran}
ln -sf g77 $RPM_BUILD_ROOT%{_bindir}/f77
echo ".so g77.1" > $RPM_BUILD_ROOT%{_mandir}/man1/f77.1
%endif

%if %{with ada}
# move ada shared libraries to proper place...
mv -f $RPM_BUILD_ROOT%{_libdir}/gcc/*/*/adalib/*.so.1 \
	$RPM_BUILD_ROOT%{_libdir}
# check if symlink to be made is valid
test -f $RPM_BUILD_ROOT%{_libdir}/libgnat-3.4.so.1
ln -sf libgnat-3.4.so.1 $RPM_BUILD_ROOT%{_libdir}/libgnat-3.4.so
ln -sf libgnarl-3.4.so.1 $RPM_BUILD_ROOT%{_libdir}/libgnarl-3.4.so
ln -sf libgnat-3.4.so $RPM_BUILD_ROOT%{_libdir}/libgnat.so
ln -sf libgnarl-3.4.so $RPM_BUILD_ROOT%{_libdir}/libgnarl.so
%endif

ln -sf %{_bindir}/cpp $RPM_BUILD_ROOT/lib/cpp

cd ..

%if %{with java}
install -d java-doc
cp -f libjava/doc/cni.sgml libjava/READ* java-doc
cp -f fastjar/README java-doc/README.fastjar
cp -f libffi/README java-doc/README.libffi
cp -f libffi/LICENSE java-doc/LICENSE.libffi
%endif

%if %{with objc}
cp -f libobjc/README gcc/objc/README.libobjc
%endif

# avoid -L poisoning in *.la - there should be only -L%{_libdir}/gcc/*/%{version}
for f in %{?with_cxx:libstdc++.la libsupc++.la} %{?with_java:libgcj.la} ; do
	perl -pi -e 's@-L[^ ]*[acs.] @@g' $RPM_BUILD_ROOT%{_libdir}/$f
done
# normalize libdir, to avoid propagation of unnecessary RPATHs by libtool

for f in \
	%{?with_cxx:libstdc++.la libsupc++.la} \
	%{?with_fortran:libg2c.la} \
	%{?with_java:libgcj.la lib-org-w3c-dom.la lib-org-xml-sax.la libffi.la} \
	%{?with_objc:libobjc.la}; do
	perl -pi -e "s@^libdir='.*@libdir='/usr/%{_lib}'@" $RPM_BUILD_ROOT%{_libdir}/$f
done

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
mv -f $RPM_BUILD_ROOT%{_mandir}/ja/man1/{cccp,cpp}.1

# include/ contains install-tools/include/* and headers that were fixed up
# by fixincludes, we don't want former
gccdir=$(echo $RPM_BUILD_ROOT%{_libdir}/gcc/*/*/)
mkdir $gccdir/tmp
# we have to save these however
for f in syslimits.h %{?with_fortran:g2c.h} %{?with_java:libffi/ffitarget.h gcj} %{?with_objc:objc}; do
	mv -f $gccdir/include/$f $gccdir/tmp
done
rm -rf $gccdir/include
mv -f $gccdir/tmp $gccdir/include
cp $gccdir/install-tools/include/*.h $gccdir/include
# but we don't want anything more from install-tools
rm -rf $gccdir/install-tools

%if %{with multilib}
ln -sf %{_slibdir}/libgcc_s.so.1 $gccdir/libgcc_s.so
ln -sf %{_slibdir32}/libgcc_s.so.1 $gccdir/libgcc_s_32.so
%endif

%find_lang %{name}
%if %{with cxx}
%find_lang libstdc\+\+
%endif

%if %{with ssp}
zcat %{SOURCE2} > $RPM_BUILD_ROOT%{_aclocaldir}/gcc_stack_protect.m4
%endif

# kill unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a
%{?with_multilib:rm -f $RPM_BUILD_ROOT%{_libdir}/32/libiberty.a}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir*
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/{fsf-funding,gfdl,gpl}*

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post g77
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun g77
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post java
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun java
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post   -p /sbin/ldconfig -n libgcc
%postun -p /sbin/ldconfig -n libgcc
%post   -p /sbin/ldconfig -n libstdc++
%postun -p /sbin/ldconfig -n libstdc++
%post   -p /sbin/ldconfig -n libobjc
%postun -p /sbin/ldconfig -n libobjc
%post   -p /sbin/ldconfig -n libg2c
%postun -p /sbin/ldconfig -n libg2c
%post   -p /sbin/ldconfig -n libgcj
%postun -p /sbin/ldconfig -n libgcj
%post   -p /sbin/ldconfig -n libgnat
%postun -p /sbin/ldconfig -n libgnat
%post   -p /sbin/ldconfig -n libffi
%postun -p /sbin/ldconfig -n libffi

%files -f gcc.lang
%defattr(644,root,root,755)
%doc ChangeLog.general MAINTAINERS NEWS bugs.html faq.html
%doc gcc/{ChangeLog,ONEWS,README.Portability}
%dir %{_libdir}/gcc/*/*
%dir %{_libdir}/gcc/*/*/include
%{?with_ssp:%{_aclocaldir}/gcc_stack_protect.m4}

%attr(755,root,root) %{_bindir}/*-gcc*
%attr(755,root,root) %{_bindir}/gcc
%attr(755,root,root) %{_bindir}/gccbug
%attr(755,root,root) %{_bindir}/gcov
%attr(755,root,root) %{_bindir}/cc
%attr(755,root,root) %{_bindir}/cpp

%{_mandir}/man1/cc.1*
%{_mandir}/man1/cpp.1*
%lang(ja) %{_mandir}/ja/man1/cpp.1*
%{_mandir}/man1/gcc.1*
%lang(fr) %{_mandir}/fr/man1/gcc.1*
%lang(ja) %{_mandir}/ja/man1/gcc.1*
%{_mandir}/man1/gcov.1*

%{_infodir}/cpp*
%{_infodir}/gcc*

%attr(755,root,root) /lib/cpp

%attr(755,root,root) %{_slibdir}/lib*.so
%ifarch ia64
%{_slibdir}/libunwind.a
%endif
%{_libdir}/gcc/*/*/libgcov.a
%{_libdir}/gcc/*/*/libgcc.a
%{_libdir}/gcc/*/*/libgcc_eh.a
%{_libdir}/gcc/*/*/specs
%{_libdir}/gcc/*/*/crt*.o
%if %{with multilib}
%attr(755,root,root) %{_libdir}/gcc/*/*/libgcc_s*.so
%{_libdir}/gcc/*/*/32/libgcc.a
%{_libdir}/gcc/*/*/32/libgcc_eh.a
%{_libdir}/gcc/*/*/32/libgcov.a
%{_libdir}/gcc/*/*/32/crt*.o
%endif
%ifarch ppc
%{_libdir}/gcc/*/*/ecrt*.o
%{_libdir}/gcc/*/*/ncrt*.o
%{_libdir}/gcc/*/*/nof
%dir %{_libdir}/nof
%endif
%attr(755,root,root) %{_libdir}/gcc/*/*/cc1
%attr(755,root,root) %{_libdir}/gcc/*/*/collect2

%{_libdir}/gcc/*/*/include/*.h
%{?with_fortran:%exclude %{_libdir}/gcc/*/*/include/g2c.h}

%files -n libgcc
%defattr(644,root,root,755)
%attr(755,root,root) %{_slibdir}*/lib*.so.*
%if %{with multilib}
%attr(755,root,root) %{_slibdir32}/lib*.so.*
%endif

%if %{with cxx}
%files c++
%defattr(644,root,root,755)
%doc gcc/cp/{ChangeLog,NEWS}
%attr(755,root,root) %{_bindir}/g++
%attr(755,root,root) %{_bindir}/*-g++
%attr(755,root,root) %{_bindir}/c++
%attr(755,root,root) %{_bindir}/*-c++
%attr(755,root,root) %{_libdir}/gcc/*/*/cc1plus
%{_libdir}/libsupc++.la
%{_libdir}/libsupc++.a
%ifarch ppc
%{_libdir}/nof/libsupc++.la
%{_libdir}/nof/libsupc++.a
%endif
%if %{with multilib}
%{_libdir32}/libsupc++.la
%{_libdir32}/libsupc++.a
%endif
%{_mandir}/man1/g++.1*
%lang(ja) %{_mandir}/ja/man1/g++.1*

%files -n libstdc++ -f libstdc++.lang
%defattr(644,root,root,755)
%doc libstdc++-v3/{ChangeLog,README}
%attr(755,root,root) %{_libdir}/libstdc++.so.*.*.*
%ifarch ppc
%attr(755,root,root) %{_libdir}/nof/libstdc++.so.*.*.*
%endif
%if %{with multilib}
%attr(755,root,root) %{_libdir32}/libstdc++.so.*.*.*
%endif

%files -n libstdc++-devel
%defattr(644,root,root,755)
%doc libstdc++-v3/docs/html
%dir %{_includedir}/c++
%{_includedir}/c++/%{version}
%exclude %{_includedir}/c++/%{version}/*/bits/stdc++.h.gch
%attr(755,root,root) %{_libdir}/libstdc++.so
%{_libdir}/libstdc++.la
%ifarch ppc
%attr(755,root,root) %{_libdir}/nof/libstdc++.so
%{_libdir}/nof/libstdc++.la
%endif
%if %{with multilib}
%attr(755,root,root) %{_libdir32}/libstdc++.so
%{_libdir32}/libstdc++.la
%endif

%files -n libstdc++-static
%defattr(644,root,root,755)
%{_libdir}/libstdc++.a
%ifarch ppc
%{_libdir}/nof/libstdc++.a
%endif
%if %{with multilib}
%{_libdir32}/libstdc++.a
%endif
%endif

%if %{with objc}
%files objc
%defattr(644,root,root,755)
%doc gcc/objc/README
%attr(755,root,root) %{_libdir}/gcc/*/*/cc1obj
%attr(755,root,root) %{_libdir}/libobjc.so
%{_libdir}/libobjc.la
%ifarch ppc
%attr(755,root,root) %{_libdir}/nof/libobjc.so
%{_libdir}/nof/libobjc.la
%endif
%if %{with multilib}
%attr(755,root,root) %{_libdir32}/libobjc.so
%{_libdir32}/libobjc.la
%endif
%{_libdir}/gcc/*/*/include/objc

%files -n libobjc
%defattr(644,root,root,755)
%doc libobjc/{ChangeLog,README*}
%attr(755,root,root) %{_libdir}/libobjc.so.*.*.*
%ifarch ppc
%attr(755,root,root) %{_libdir}/nof/libobjc.so.*.*.*
%endif
%if %{with multilib}
%attr(755,root,root) %{_libdir32}/libobjc.so.*.*.*
%endif

%files -n libobjc-static
%defattr(644,root,root,755)
%{_libdir}/libobjc.a
%ifarch ppc
%{_libdir}/nof/libobjc.a
%endif
%if %{with multilib}
%{_libdir32}/libobjc.a
%endif
%endif

%if %{with fortran}
%files g77
%defattr(644,root,root,755)
%doc gcc/f/{BUGS,ChangeLog,NEWS}
%attr(755,root,root) %{_bindir}/g77
%attr(755,root,root) %{_bindir}/f77
%{_infodir}/g77*
%attr(755,root,root) %{_libdir}/gcc/*/*/f771
%{_libdir}/libfrtbegin.a
%{_libdir}/libg2c.la
%attr(755,root,root) %{_libdir}/libg2c.so
%ifarch ppc
%{_libdir}/nof/libfrtbegin.a
%{_libdir}/nof/libg2c.la
%attr(755,root,root) %{_libdir}/nof/libg2c.so
%endif
%if %{with multilib}
%{_libdir32}/libfrtbegin.a
%{_libdir32}/libg2c.la
%attr(755,root,root) %{_libdir32}/libg2c.so
%endif
%{_libdir}/gcc/*/*/include/g2c.h
%{_mandir}/man1/g77.1*
%{_mandir}/man1/f77.1*
%lang(ja) %{_mandir}/ja/man1/g77.1*
%lang(ja) %{_mandir}/ja/man1/f77.1*

%files -n libg2c
%defattr(644,root,root,755)
%doc libf2c/{ChangeLog,README,TODO}
%attr(755,root,root) %{_libdir}/libg2c.so.*.*.*
%ifarch ppc
%attr(755,root,root) %{_libdir}/nof/libg2c.so.*.*.*
%endif
%if %{with multilib}
%attr(755,root,root) %{_libdir32}/libg2c.so.*.*.*
%endif

%files -n libg2c-static
%defattr(644,root,root,755)
%{_libdir}/libg2c.a
%ifarch ppc
%{_libdir}/nof/libg2c.a
%endif
%if %{with multilib}
%{_libdir32}/libg2c.a
%endif
%endif

%if %{with java}
%files java
%defattr(644,root,root,755)
%doc gcc/java/ChangeLog java-doc/*
%attr(755,root,root) %{_bindir}/gcj*
%attr(755,root,root) %{_bindir}/gij
%attr(755,root,root) %{_bindir}/jcf-dump
%attr(755,root,root) %{_bindir}/jv-*
%attr(755,root,root) %{_bindir}/grepjar
%attr(755,root,root) %{_bindir}/*-gcj*
%attr(755,root,root) %{_libdir}/gcc/*/*/jc1
%attr(755,root,root) %{_libdir}/gcc/*/*/jvgenmain
%{_infodir}/gcj*
%{_mandir}/man1/jcf-*
%{_mandir}/man1/jv-*
%{_mandir}/man1/gij*
%{_mandir}/man1/gcj*
%{_mandir}/man1/grepjar*

%files java-tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rmi*
%attr(755,root,root) %{_bindir}/jar
%{_mandir}/man1/rmi*
%{_mandir}/man1/jar*
%{_infodir}/fastjar*

%files -n libgcj
%defattr(644,root,root,755)
%doc libjava/{ChangeLog,LIBGCJ_LICENSE,NEWS,README,THANKS}
%attr(755,root,root) %{_bindir}/addr2name.awk
%attr(755,root,root) %{_libdir}/lib*cj*.so.*.*.*
%attr(755,root,root) %{_libdir}/lib-org*.so.*.*.*
%if %{with multilib}
%attr(755,root,root) %{_libdir32}/lib*cj*.so.*.*.*
%attr(755,root,root) %{_libdir32}/lib-org*.so.*.*.*
%endif
%ifarch ppc
%attr(755,root,root) %{_libdir}/nof/lib*cj*.so.*
%endif
%{_libdir}/logging.properties

%files -n libgcj-devel
%defattr(644,root,root,755)
%{_includedir}/java
%{_includedir}/javax
%{_includedir}/gcj
%{_includedir}/j*.h
%{_includedir}/gnu/*
%{_libdir}/gcc/*/*/include/gcj
%dir %{_libdir}/security
%{_libdir}/security/*
%dir %{_javadir}
%{_javadir}/libgcj*.jar
%{_libdir}/lib*cj.spec
%attr(755,root,root) %{_libdir}/lib*cj*.so
%attr(755,root,root) %{_libdir}/lib-org-*.so
%{_libdir}/lib*cj*.la
%{_libdir}/lib-org-*.la
%if %{with multilib}
%attr(755,root,root) %{_libdir32}/lib*cj*.so
%attr(755,root,root) %{_libdir32}/lib-org-*.so
%{_libdir32}/lib*cj*.la
%{_libdir32}/lib-org-*.la
%endif
%ifarch ppc
%{_libdir}/nof/lib*cj*.la
%attr(755,root,root) %{_libdir}/nof/lib*cj*.so
%endif
%{_pkgconfigdir}/libgcj.pc

%files -n libgcj-static
%defattr(644,root,root,755)
%{_libdir}/lib*cj*.a
%{_libdir}/lib-org-*.a
%if %{with multilib}
%{_libdir32}/lib*cj*.a
%{_libdir32}/lib-org-*.a
%endif
%ifarch ppc
%{_libdir}/nof/lib*cj*.a
%endif

%files -n libffi
%defattr(644,root,root,755)
%doc libffi/{ChangeLog,ChangeLog.libgcj,LICENSE,README}
%attr(755,root,root) %{_libdir}/libffi-*.so
%{?with_multilib:%attr(755,root,root) %{_libdir32}/libffi-*.so}

%files -n libffi-devel
%defattr(644,root,root,755)
%{_libdir}/gcc/*/*/include/ffitarget.h
%attr(755,root,root) %{_libdir}/libffi.so
%{_libdir}/libffi.la
%if %{with multilib}
%attr(755,root,root) %{_libdir32}/libffi.so
%{_libdir32}/libffi.la
%endif
%{_includedir}/ffi.h

%files -n libffi-static
%defattr(644,root,root,755)
%{_libdir}/libffi.a
%{?with_multilib:%{_libdir32}/libffi.a}
%endif

%if %{with ada}
%files ada
%defattr(644,root,root,755)
%doc gcc/ada/ChangeLog
%attr(755,root,root) %{_bindir}/gnat*
%attr(755,root,root) %{_bindir}/gpr*
%attr(755,root,root) %{_libdir}/libgnarl*.so
%attr(755,root,root) %{_libdir}/libgnat*.so
%attr(755,root,root) %{_libdir}/gcc/*/*/gnat1
%{_libdir}/gcc/*/*/adainclude
%dir %{_libdir}/gcc/*/*/adalib
%{_libdir}/gcc/*/*/adalib/*.ali
%{_libdir}/gcc/*/*/adalib/g-trasym.o
%{_libdir}/gcc/*/*/adalib/libgccprefix.a
%ifarch %{ix86}
%{_libdir}/gcc/*/*/adalib/libgmem.a
%endif
%{_datadir}/gnat
%{_infodir}/gnat*

%files -n libgnat
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnarl*.so.1
%attr(755,root,root) %{_libdir}/libgnat*.so.1

%files -n libgnat-static
%defattr(644,root,root,755)
%{_libdir}/gcc/*/*/adalib/libgnarl.a
%{_libdir}/gcc/*/*/adalib/libgnat.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gcc.spec,v $
Revision 1.278.2.5.2.5  2012/02/10 07:58:41  glen
- really exclude libgcc_s_nof.so.1

Revision 1.278.2.5.2.4  2012/02/07 09:28:58  glen
- utf8

Revision 1.278.2.5.2.3  2012/02/07 09:28:15  glen
- skip_post_check_so libgcc_s.so.1 of ppc

Revision 1.278.2.5.2.2  2012/02/05 20:31:07  glen
- up gcc-dirs dep for %{_libdir}/gcc

Revision 1.278.2.5.2.1  2012/02/05 20:09:22  glen
- up to 3.4.6

Revision 1.278.2.5  2005/12/13 10:42:56  pluto
- more lang bconds and multilib files.

Revision 1.278.2.4  2005/12/09 03:32:38  pluto
- more autodetecting c++ headers.

Revision 1.278.2.3  2005/12/09 01:40:31  pluto
- updated to 3.4.5.

Revision 1.278.2.2  2005/05/30 21:02:57  freetz
- rel.1, removed unpackaged files

Revision 1.278.2.1  2005/05/25 09:06:07  freetz
- started work on 3.4.4, PR13479, PR18185 already in sources

Revision 1.278  2005/02/17 16:22:28  mmazur
- rel5 (everything finally works)

Revision 1.277  2005/02/17 15:33:22  qboosh
- simplified: --enable-multilib is the default
- don't pass --disable-multilib on ppc by default - it disables nof libraries

Revision 1.276  2005/02/15 20:34:31  qboosh
- cleanup, multilib fixes (untested)

Revision 1.275  2005/02/15 18:25:37  qboosh
- typo

Revision 1.274  2005/02/15 14:17:22  mmazur
- rel4.4

Revision 1.273  2005/02/15 13:44:25  qboosh
- remove multilib files breakage, files list must be adjusted

Revision 1.272  2005/02/15 12:41:30  qboosh
- quote __cc, some multilib cleanup (no need to duplicate code)

Revision 1.271  2005/02/15 12:23:00  mmazur
- rel 4.3; argh

Revision 1.270  2005/02/15 11:06:24  mmazur
- rel4.2; added PR13470

Revision 1.269  2005/02/15 10:31:16  mmazur
- typo

Revision 1.268  2005/02/15 10:26:57  paszczus
- added --with multilib bcond

Revision 1.267  2005/02/15 00:07:59  paszczus
- too late, too tired...

Revision 1.266  2005/02/14 23:46:54  paszczus
- commented out --disable-multilib for amd64

Revision 1.265  2005/02/14 23:45:09  paszczus
- started multilib for amd64 (just copied multilib from sparc64)
- if that is wrong please tell me and i will revert
- release 4.1

Revision 1.264  2005/02/14 12:21:17  mmazur
- this comdat support is broken; gcc4 has it done the right way, but gcc4
  isn't usable; once it becomes usable, we'll switch, but I'm not planning
  to wait any more
- rel 4; removed pr16276

Revision 1.263  2005/02/02 09:33:05  speedy
- sparc/sparc64 multilib
- libexecdir=libdir
- release 3.1

Revision 1.262  2004/12/29 20:14:36  radek
- libstdc++-devel R: glibc-devel

Revision 1.261  2004/12/17 21:53:08  sparky
- es: now sounds more user-friendly, TYPO

Revision 1.260  2004/12/10 07:58:05  pluto
- TODO(PRs) updated.

Revision 1.259  2004/12/02 18:43:55  pluto
- PR libstc++/18185 (delete unhandled exceptions).
- memory leak fixed, release 3.

Revision 1.258  2004/11/25 21:09:14  pluto
- next PR / zywiec rox ;) /.

Revision 1.257  2004/11/25 17:14:36  pluto
- stack smashing protector patch updated.
  protect your system with ssp and/or libsafe.
- cleanups.
- release 2.

Revision 1.256  2004/11/24 16:50:30  pluto
- TODO += PR18648 (tree-optimization: gcc doesn't remove empty loops).
- cleanups.

Revision 1.255  2004/11/05 16:55:50  pluto
- updated to 3.4.3 final.
- release 1.

Revision 1.254  2004/11/01 14:15:58  pluto
- R: gcc-dirs

Revision 1.253  2004/10/30 08:06:04  pluto
- updated to 3.4.3-20041029 (fix for regression in CSE).

Revision 1.252  2004/10/24 15:07:08  pluto
- updated to 3.4.3-20041022.

Revision 1.251  2004/10/20 10:17:22  mmazur
- package libunwind.a on ia64

Revision 1.250  2004/10/17 08:36:54  pluto
- typo/log fixed.

Revision 1.249  2004/10/17 08:34:46  pluto
- updated to 3.4.3-20041015.

  PR rtl-opt/17853, PR rtl-opt/17503
  PR target/14454
  PR c/17384, PR c/17023

Revision 1.248  2004/10/17 08:08:43  pluto
- TODO += PR14776.

Revision 1.247  2004/10/14 21:11:42  pluto
- %%install fixed.

Revision 1.246  2004/10/14 20:01:53  pluto
- gcc_visibility.m4 added.

Revision 1.245  2004/10/14 18:01:59  pluto
- PR17384 fixed.

Revision 1.244  2004/10/14 17:34:03  qboosh
- snaps note (use branch, leave releases on HEAD)

Revision 1.243  2004/10/14 07:25:18  qboosh
- re-fixed binutils deps, gzip is required by rpm-build

Revision 1.242  2004/10/13 19:28:54  pluto
- merged (devel -> head[Th]).

Revision 1.217.2.97  2004/10/13 19:01:21  pluto
- PR17942 (invalid) removed.

Revision 1.217.2.96  2004/10/12 05:16:10  pluto
- TODO += PR17942 (testcase: kernel.spec :>)

Revision 1.217.2.95  2004/10/09 13:25:30  pluto
- updated to 3.4.3-20041008.

Revision 1.217.2.94  2004/10/02 11:26:34  pluto
- updated to 3.4.3-20041001.

Revision 1.217.2.93  2004/09/27 12:44:48  wolf
- glibc-devel is not needed to build kernel

Revision 1.217.2.92  2004/09/27 10:52:46  djurban
- R: glibc-devel

Revision 1.217.2.91  2004/09/26 05:34:56  pluto
- TODO += http://gcc.gnu.org/PR17674.

Revision 1.217.2.90  2004/09/25 12:55:11  pluto
- TODO += PR11203.
- added info about gcc symbol visibility patch.

Revision 1.217.2.89  2004/09/25 09:03:16  pluto
- updated to 3.4.3-20040924.

Revision 1.217.2.88  2004/09/24 14:28:43  pluto
- [ADDED] http://www.nedprod.com/programs/gccvisibility.html

Revision 1.217.2.87  2004/09/20 12:06:29  pluto
- updated to 3.4.3-20040917.
- TODO updated.

Revision 1.217.2.86  2004/09/14 17:35:56  pluto
- += TODO.

Revision 1.217.2.85  2004/09/12 14:31:13  pluto
- updated to 3.4.3-20040910.

Revision 1.217.2.84  2004/09/09 16:30:49  wrobell
- libffi is not built without java (fixed installation routine)

Revision 1.217.2.83  2004/09/09 05:06:52  pluto
- release 1 (x86 works).

Revision 1.217.2.82  2004/09/08 18:11:08  pluto
- 3.4.2 final.
- release 0.1, test-build (via latest ices on ada)...

Revision 1.217.2.81  2004/09/05 18:27:02  pluto
- updated to 3.4.2-20040903.

Revision 1.217.2.80  2004/09/03 19:09:00  pluto
- updated to 3.4.2-20040902 (prerelease 2).

Revision 1.217.2.79  2004/08/28 08:43:46  pluto
- updated to 3.4.2-20040827.

Revision 1.217.2.78  2004/08/22 20:26:18  djurban
-begin update to 040820

Revision 1.217.2.77  2004/08/18 09:53:39  pluto
- libffi-devel += ffitarget.h.
- release 0.2.

Revision 1.217.2.76  2004/08/18 09:27:44  pluto
- cpp merged.

Revision 1.217.2.75  2004/08/17 13:30:30  pluto
- TODO added (I've a memleaks).

Revision 1.217.2.74  2004/08/14 14:20:25  pluto
- updated to 3.4.2-20040813.

Revision 1.217.2.73  2004/08/09 10:55:08  pluto
- updated to 3.4.2-20040806.

Revision 1.217.2.72  2004/08/07 00:54:44  qboosh
- updated comments

Revision 1.217.2.71  2004/08/07 00:49:17  qboosh
- added pr16276 patch (fixes libstdc++ linking on ia64;
  needs binutils with COMDAT support)
- something is broken, enable ada-bootstrap patch on ia64 too
  (needed even if compiling on the same version of gcc 3.4.x)

Revision 1.217.2.70  2004/08/02 13:14:45  pluto
- updated to 3.4.2-20040730.

Revision 1.217.2.69  2004/07/27 15:39:42  pluto
- non-english manuals reenabled.

Revision 1.217.2.68  2004/07/24 11:34:57  pluto
- updated to 3.4.2-20040723.

Revision 1.217.2.67  2004/07/17 18:03:16  pluto
- updated to 3.4.2-20040716.

Revision 1.217.2.66  2004/07/11 20:46:03  pluto
- parallel `make install' disabled.

Revision 1.217.2.65  2004/07/11 20:34:04  qboosh
- use bootstrap-lean on ia64 (profiledbootstrap is broken there)

Revision 1.217.2.64  2004/07/10 23:36:27  pluto
- two more files...

Revision 1.217.2.63  2004/07/10 23:04:50  pluto
- minor hack for %%doc(NEWS)

Revision 1.217.2.62  2004/07/10 20:00:34  pluto
- updated to 3.4.2-20040709 (fixes for sparc,ia64 and others...)

  PR target/16459, PR target/16416, PR target/16414
  PR target/16430, PR target/16199, PR target/16407
  PR c++/15815
  PR target/16130, PR target/16142, PR target/16143
  PR target/1679,  PR target/16357, PR target/15869
  PR rtl-optimization/14700

Revision 1.217.2.61  2004/07/07 00:47:23  pluto
- release 1.

Revision 1.217.2.60  2004/07/03 10:05:22  qboosh
- s@gcc/NEWS@NEWS@, include some more specific changelogs and readmes

Revision 1.217.2.59  2004/07/02 20:25:37  pluto
- 3.4.1 released.

Revision 1.217.2.58  2004/06/29 21:48:01  wolf
- s/ONEWS/NEWS/

Revision 1.217.2.57  2004/06/27 09:45:49  pluto
- prerelease 3.4.1-20040625.

Revision 1.217.2.56  2004/06/24 07:48:14  qboosh
- -O0 for stage1 on alpha (gnat from 3.3 is broken); now builds

Revision 1.217.2.55  2004/06/20 07:38:16  pluto
- updated to 20040618.

Revision 1.217.2.54  2004/06/13 03:02:04  pluto
- %%doc (s/NEWS/ONEWS/).

Revision 1.217.2.53  2004/06/12 01:58:20  pluto
- updated to 3.4.1-20040611, test build...

Revision 1.217.2.52  2004/06/09 13:58:33  qboosh
- added ada-bootstrap patch (to allow build on alpha), but still fails
  (just built gnat1 seems broken, tries to enforce ada83 when ada95 must be used)

Revision 1.217.2.51  2004/06/05 08:39:38  jpc
- added patch for pr15666 (should build glibc now)

Revision 1.217.2.50  2004/06/02 07:56:12  qboosh
- updated libgmem.a archs

Revision 1.217.2.49  2004/06/01 22:47:23  qboosh
- fixed ada build on amd64 (by reordering gnat* makes)

Revision 1.217.2.48  2004/06/01 18:48:17  qboosh
- ada-link related install fixes, package few more files

Revision 1.217.2.47  2004/06/01 15:10:30  qboosh
- readded ada-link patch (based on gcc34 from fedora-devel)
- BR binutils with --as-needed support, no R for automake/pkgconfig, cleanups
- Obsoletes gcc-ksi,gont for now (no ksi available for gcc 3.4)
- testing build now

Revision 1.217.2.46  2004/05/28 20:37:00  pluto
- pr14668 fixed.
- release 3.

Revision 1.217.2.45  2004/05/26 00:10:50  pluto
- release 2.1.

Revision 1.217.2.44  2004/05/25 06:35:44  pluto
- ssp bcond added.

Revision 1.217.2.43  2004/05/17 12:03:34  pluto
- P: += gcc(ssp) [ stack-smashing protection ].

Revision 1.217.2.42  2004/05/14 17:46:50  pluto
- release 2.

Revision 1.217.2.41  2004/05/14 06:29:21  pluto
- R: += automake, %%install fixed.

Revision 1.217.2.40  2004/05/14 06:22:22  pluto
- SSP: m4 macros added, version fixed.

Revision 1.217.2.39  2004/05/13 22:11:47  pluto
- stack-smashing protector added.

Revision 1.217.2.38  2004/05/10 12:16:40  jpc
- corrected binutils R (because of: "ld: unknown option '--as-needed'")

Revision 1.217.2.37  2004/04/21 21:34:41  pluto
- fpic (different idea).

Revision 1.217.2.36  2004/04/21 18:19:29  arekm
- pass fPIC (testing)

Revision 1.217.2.35  2004/04/21 00:06:51  pluto
- BR: fixed.

Revision 1.217.2.34  2004/04/20 23:52:48  pluto
- ada (BR:/P:)

Revision 1.217.2.33  2004/04/20 23:43:48  pluto
- faster build.

Revision 1.217.2.32  2004/04/20 20:10:34  wolf
- final 3.4.0 release
- waiting for official announcement before merging with HEAD

Revision 1.217.2.31  2004/04/18 20:09:04  pluto
- %%doc fixes reverted (my fault).

Revision 1.217.2.30  2004/04/18 19:11:00  pluto
- %%doc fixed.

Revision 1.217.2.29  2004/04/18 14:00:12  wolf
- removed ksi - nobody seems to care about it anyway
- revised documentation

Revision 1.217.2.27  2004/04/15 03:18:31  pluto
- updated to 20040414.

Revision 1.217.2.26  2004/04/13 06:42:01  pluto
- spec fixed.

Revision 1.217.2.25  2004/04/12 19:41:13  djurban
- updated to 2000407 (official post gcc 3.4.0 prerelease, snap from branch,
  cotains fixes added to cvs after the prerelease)

Revision 1.217.2.24  2004/04/08 14:12:08  wolf
- 3.4.0 prerelease 20040406

Revision 1.217.2.23  2004/04/07 09:25:45  adgor
- Fixed %%doc in main pkg

Revision 1.217.2.22  2004/04/06 02:50:49  pluto
- %%doc

Revision 1.217.2.21  2004/04/06 01:24:11  pluto
- updated to 20040406.

Revision 1.217.2.20  2004/04/05 17:54:29  pluto
- updated to 20040405.

Revision 1.217.2.19  2004/04/04 18:40:56  djurban
- updated gcc 3.4 snap to 20040404 from 20:00 in order to fix bug #14755
  which caused me to lose my kde configs (http://gcc.gnu.org/bugzilla/show_bug.cgi?id=14755)
- if tommorow mornign they release a new gcc snap it aint worth updating
  it'll be the same as this
- NFY, %%fiels needs checking, ill update it once it builds

Revision 1.217.2.18  2004/04/01 18:51:07  wolf
- 20040331

Revision 1.217.2.17  2004/03/28 22:21:19  pluto
- libgcj.pc and *-gcjh added
- ada compiler seems to work
- release 0.20040324.3

Revision 1.217.2.16  2004/03/28 11:13:34  pluto
- ankry's cosmetics
- ada fixes
- release 0.20040324.2

Revision 1.217.2.15  2004/03/28 01:30:08  pluto
- BR: flex

Revision 1.217.2.9  2004/03/24 20:45:16  wolf
- 20040324

Revision 1.217.2.8  2004/03/17 20:41:40  pluto
- updated to 20040317.

Revision 1.217.2.7  2004/03/11 14:40:18  pluto
- md5.

Revision 1.217.2.6  2004/03/11 14:32:30  pluto
- 20040310

Revision 1.217.2.5  2004/03/04 16:06:31  wolf
- optimize bootstrap
- more docs

Revision 1.217.2.4  2004/03/04 13:26:41  wolf
- 20040303
- add libgcov.a

Revision 1.217.2.3  2004/02/27 18:44:51  wolf
- 20040225
- removed useless precompiled headers from libstdc++-devel

Revision 1.217.2.2  2004/02/20 19:31:22  wolf
- snap 20040218

Revision 1.217.2.1  2004/02/13 20:38:38  wolf
- 3.4
- redhat patches out
- ksi is broken

Revision 1.241  2004/10/08 19:49:53  havner
- removed gcc-alpha-regno-mode.patch, already applied in 3.3.5

Revision 1.240  2004/10/08 13:19:21  ankry
- added gcc-cmpi.patch (ppc build fix)

Revision 1.239  2004/10/08 11:01:48  undefine
- update to 3.3.5, rel 1

Revision 1.238  2004/10/08 04:53:25  ankry
- R: gcc-dirs, rel 6

Revision 1.237  2004/10/06 14:00:22  qboosh
- more strict internal deps

Revision 1.236  2004/09/25 12:26:32  havner
- grepjar moved to java-tools

Revision 1.235  2004/09/09 18:49:58  ankry
- fixed Epoch in BR:/R: binutils, rel. 4, STBR

Revision 1.234  2004/08/31 09:00:55  snurf
- typos / formatting / etc.

Revision 1.233  2004/07/05 13:28:43  qboosh
- more nof libs on ppc

Revision 1.232  2004/06/20 20:07:22  qboosh
- added amd64-thunk patch (PR16092); release 3

Revision 1.231  2004/06/08 20:00:57  qboosh
- release 2

Revision 1.230  2004/06/08 18:26:08  qboosh
- added temporary hack for alpha

Revision 1.229  2004/06/08 09:24:10  qboosh
- BR+R binutils with --as-needed support (detected at build time)

Revision 1.228  2004/06/07 10:05:33  pluto
- updated to 3.3.4.

Revision 1.227  2004/05/31 14:05:26  qboosh
- grr, typo

Revision 1.226  2004/05/31 14:03:50  qboosh
- try to fix parallel build, release 4

Revision 1.225  2004/05/30 18:42:09  qboosh
- added cse-find_best_addr patch (fixes problem with asm constraints,
  caught in zinf on amd64); release 3

Revision 1.224  2004/05/17 12:18:00  pluto
- abandoned (propolice) patch removed.

Revision 1.223  2004/03/27 18:55:46  ankry
- cosmetics

Revision 1.222  2004/03/20 09:18:15  qboosh
- release 2 to rebuild with proper deps

Revision 1.221  2004/03/06 13:59:18  qboosh
- strict internal deps, -g77 R: main (in equal version)

Revision 1.220  2004/02/18 20:00:19  qboosh
- let it be... release 1

Revision 1.219  2004/02/17 08:01:12  qboosh
- added nodebug patch, pass GCJFLAGS to build per-cpu optimized libgcj
  and avoid -g (for faster build and lower disk space usage)

Revision 1.218  2004/02/16 07:32:01  qboosh
- started update to 3.3.3
- updated paths patch, removed obsolete pr12965,pr11793 patches

Revision 1.217  2004/01/18 17:00:11  qboosh
- added pr11793 patch (target/11793 fix from gcc cvs+bugzilla)
- new-style bconds, release 3

Revision 1.216  2004/01/18 12:56:57  jajcus
- Release: 2
- cpp always in /lib/cpp

Revision 1.215  2004/01/11 00:27:18  eothane
- proper ep09 address

Revision 1.214  2004/01/02 17:21:38  jajcus
- Release: 1 (STBR after AMD64 fixes)

Revision 1.213  2003/12/21 19:19:48  jajcus
- don't put /usr/lib into *.la files (use /usr/%{_lib} instead)!

Revision 1.212  2003/12/20 10:48:38  jajcus
- automake minimal version requirement removed. It is enforced by Conflict in rpm-build on AMD64

Revision 1.211  2003/12/19 09:33:49  jajcus
- Release: 0.4
- R: automake >= 1.7.9-2, for config.sub with amd64 support

Revision 1.210  2003/12/08 18:44:03  qboosh
- added pr12965 patch (fixes optimization/12965, dar.spec@alpha issue)
- release 0.3

Revision 1.209  2003/11/17 14:54:26  arekm
- rel 0.2

Revision 1.208  2003/11/17 14:51:00  arekm
- fixed prefix entry for libstdc++

Revision 1.207  2003/11/17 11:18:16  arekm
 - (probably) final fixes for AMD64

Revision 1.206  2003/11/16 22:32:12  ankry
- spaces -> tabs

Revision 1.205  2003/11/16 20:23:41  arekm
- amd64 files

Revision 1.204  2003/11/16 15:24:39  saq
- make it clear that gcc.rpm doesn't contain the whole collection
- adapterized
- TODO: description -l pt_BR (volunteers?)

Revision 1.203  2003/11/14 16:37:47  saq
- es translations
- gcc != "GNU C Compiler" (somebody fix the tr translations too)

Revision 1.202  2003/11/06 23:01:50  qboosh
- added bcond for gcc(ada) prov bootstrap on Ac builders

Revision 1.201  2003/11/03 07:09:56  gotar
- cosmetics

Revision 1.200  2003/10/18 10:37:14  arekm
- updated to 3.3.2

Revision 1.199  2003/10/08 22:41:52  adgor
- Rel. 1.3

Revision 1.198  2003/10/08 22:23:22  arekm
- strict ada requires

Revision 1.197  2003/09/25 17:33:24  misi3k
- link sparc64-pld-linux-gcc -> sparc-pld-linux-gcc

Revision 1.196  2003/09/24 20:02:01  misi3k
- typo

Revision 1.195  2003/09/12 11:31:20  erjot
- GCC extension for protecting applications from stack-smashing attacks
- -fno-stack-protector disables the protection

Revision 1.194  2003/09/07 13:03:05  misi3k
- cosmetics

Revision 1.193  2003/08/26 07:34:01  misi3k
- rel 1.1
- sparc64 fixes

Revision 1.192  2003/08/17 14:14:44  mmazur
- unwind patch is obsolete

Revision 1.191  2003/08/14 22:17:46  ankry
- description formatting and other minor description fixes

Revision 1.190  2003/08/09 15:35:21  qboosh
- removed obsolete PR10849 patch (properly fixed now)
- unwind patch is obsolete or needs to be rewritten

Revision 1.189  2003/08/09 10:51:08  wolf
- 3.3.1

Revision 1.188  2003/06/30 21:49:26  areq
- release 4 - rebuild with requires for modern rpm

Revision 1.187  2003/06/23 14:45:49  djrzulf
- fixed Requires for modern rpm

Revision 1.186  2003/06/22 15:16:23  mmazur
- s/pld.org.pl/pld-linux.org/

Revision 1.185  2003/06/22 11:32:49  mmazur
- added a patch for alpha that fixes c++ compilation. I don't know if the
  programs will work though

Revision 1.184  2003/06/10 10:14:47  qboosh
- it's safer to BR+R binutils 2.14 - gcc chooses its features at build time

Revision 1.183  2003/06/06 13:22:38  aflinta
- fixed Fix regression PR10849 (specialization of nestedclass), release 3

Revision 1.182  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.181  2003/05/30 14:14:58  qboosh
- merged lost changes:
  Revision 1.178  2003/05/26 22:45:05  ankry
  - re-enabled ada by default; rel. 2

  Revision 1.177  2003/05/25 08:50:28  ankry
  - restored patches 11 & 12
  - commented out (probably not necessary) ada hack
- to check: java on sparc*, ada on ppc

Revision 1.180  2003/05/27 18:02:34  djrzulf
- updated source2,

Revision 1.179  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.178  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.177  2003/05/25 05:47:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.176  2003/05/21 23:37:19  wiget
- typo in ada bcond

Revision 1.175  2003/05/21 20:52:07  ankry
- typo

Revision 1.174  2003/05/21 17:50:18  kloczek
- release 1,
- dissable ada bcond,
- patchesh renumerated.

Revision 1.173  2003/05/19 19:41:00  qboosh
- moved libgcc.so symlink to gcc
- removed autocreated SONAME symlinks from libgcj

Revision 1.172  2003/05/18 23:03:37  qboosh
- more sanitized *.la (lib-org-*, libffi)
- fixed libffi/libffi-devel package contents
- 644 for lib-org*.la

Revision 1.171  2003/05/17 09:11:52  qboosh
- updated info patch

Revision 1.170  2003/05/17 08:35:55  malekith
- libffi added as a subpackage (it remains to be discovered what actually
  uses it)
- release 0.4

Revision 1.169  2003/05/17 06:55:20  malekith
- release 0.3
- it builds and seems to work; especially ada seems to work fine, at least
  for simple hello-world like examples

Revision 1.168  2003/05/17 06:29:21  qboosh
- removed es c++filt(1) manual (c++filt has been moved to binutils)
- fixed version.c changes in %%prep

Revision 1.167  2003/05/16 21:39:05  malekith
- finally fix libgnat symlinks

Revision 1.166  2003/05/16 13:26:27  malekith
- apply ada linking patches back
- soname ends with so.1 again

Revision 1.165  2003/05/16 12:54:58  malekith
- removed patch 2 and 3 (not needed anymore)

Revision 1.164  2003/05/15 20:52:35  trojan
- removed more outdated patches

Revision 1.163  2003/05/15 16:33:42  wolf
- fix building w/ bconds

Revision 1.162  2003/05/15 15:42:42  malekith
- fix TOOD

Revision 1.161  2003/05/15 15:26:33  malekith
- proper gcc/include caption is now in gcc/install-tools/tools, modulo few
  files/directories -- use this fact to avoid lising all includes in files
  (i'm not quite sure about this hack though)
- include *.la files for lib-org-*
- maybe it would be good to use gccdir= variable throughout the install
  section to make it shorter and more readable?

Revision 1.160  2003/05/15 14:57:59  malekith
- include lib-org-* java stuff, manpage and info for jar and grepjar

Revision 1.159  2003/05/15 14:52:07  malekith
- ada build fixed; soname of libgnat is now libgnat-3.15.so, not libgnat-3.15.so.1 as it used to be

Revision 1.158  2003/05/15 14:01:41  malekith
- release 0.2

Revision 1.157  2003/05/15 13:56:22  malekith
- ksi is back in version 1.1.0.1567

Revision 1.156  2003/05/15 13:21:56  trojan
- small fix in %%files

Revision 1.155  2003/05/15 12:24:55  trojan
- started updating to 3.3
- removed outdated and applied patches
- comented some other patches (needs update?)
- disabled ksi building (build crashes)
- this is WIP: USE WITH CARE! (not tested)

Revision 1.154  2003/05/04 18:18:40  kloczek
- release 2: patches reorder.

Revision 1.153  2003/04/27 10:34:05  misiek
- require proper version of compiler in libstd++-devel subpackage

Revision 1.152  2003/04/27 10:15:09  qboosh
- use DESTDIR-style install, slibdir patch not needed now

Revision 1.151  2003/04/26 12:52:14  malekith
- updated ksi to 1.0.1.1567 -- now DESTDIR should work with it

Revision 1.150  2003/04/26 08:27:40  qboosh
- updated gcc32-tls3 patch, builds now; release 0.3

Revision 1.149  2003/04/25 20:42:21  kloczek
- release 0.2.

Revision 1.148  2003/04/25 19:21:55  qboosh
- updated "outdated" gcc32-ada-link and gcc32-tls patches

Revision 1.147  2003/04/24 07:50:16  kloczek
- updated to 3.2.3,
- removed outdated patches.

Revision 1.146  2003/04/19 19:27:12  qboosh
- remove wrong -L from libsupc++.la too
- normalize libdir in *.la to avoid propagation of unnecessary RPATHs by libtool

Revision 1.145  2003/04/02 21:50:48  mkochano
- Release 0.6.
- Corrected names of subpackages. Now it's at least a valid spec file.
  And I'm going to use it...

Revision 1.144  2003/04/02 18:04:24  kloczek
- release 1,
- merge translations from Conectiva,
- cosmetics and cut changelog.
